<?php
ob_start();
$pageTitle = 'إدارة التقارير';
include 'init.php';

// $conn = $con;
// $conn = $con;

try {
    /* $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    // تحتاج لتفعيل التقارير عن الأخطاء لكي تتلقى استثناءات PDO
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION); */

    // استخدم استعلام SQL مع تعبير CASE لتحديث القيمة في الجدول
    $stmt = $conn->prepare("
        UPDATE level_acc 
        SET lv = 
            CASE 
                WHEN lev_acc = 1 THEN lv1
                WHEN lev_acc = 2 THEN lv2
                WHEN lev_acc = 3 THEN lv3
                WHEN lev_acc = 4 THEN lv4
                WHEN lev_acc = 5 THEN lv5
            END
    ");
    
    // $stmt->execute();

    echo "تم تحديث قيمة عمود lv بنجاح!";

    /* $tables = ["agents", "airline", "flight_bookings", "hotels", "number_individuals", "reservations", "hotel_bookings", "room_prices", "train_bookings"];


    foreach ($tables as $table_name) {
        $columns_to_check = ['user_id_insert', 'user_id_update'];
        $columns_to_check_date = ['date_insert'];
        $columns_to_check_update = ['date_update'];
        $columns_added = 0;

        foreach ($columns_to_check as $column) {
            $check_columns_sql = "SHOW COLUMNS FROM $table_name LIKE '$column';";
            $check_columns_result = $conn->query($check_columns_sql)->fetchAll(PDO::FETCH_ASSOC);

            // إذا كان العمود غير موجود، قم بإضافته
            if (empty($check_columns_result)) {
                $alter_table_sql = "ALTER TABLE $table_name ADD COLUMN $column INT DEFAULT NULL;";
                $conn->exec($alter_table_sql);
                $columns_added++;
            }
            if ($columns_added > 0) {
                echo "تمت إضافة $columns_added عمود بنجاح. <br>";
            } else {
                echo "الأعمدة موجودة بالفعل.";
            }
        }
        $columns_added = 0;
        foreach ($columns_to_check_date as $column) {
            $check_columns_sql = "SHOW COLUMNS FROM $table_name LIKE '$column';";
            $check_columns_result = $conn->query($check_columns_sql)->fetchAll(PDO::FETCH_ASSOC);

            // إذا كان العمود غير موجود، قم بإضافته
            if (empty($check_columns_result)) {
                $alter_table_sql = "ALTER TABLE $table_name ADD COLUMN $column INT DEFAULT CURRENT_TIMESTAMP;";
                $conn->exec($alter_table_sql);
                $columns_added++;
            }
            if ($columns_added > 0) {
                echo "تمت إضافة $columns_added عمود بنجاح. <br>";
            } else {
                echo "الأعمدة موجودة بالفعل.";
            }
        }
        $columns_added = 0;
        foreach ($columns_to_check_update as $column) {
            $check_columns_sql = "SHOW COLUMNS FROM $table_name LIKE '$column';";
            $check_columns_result = $conn->query($check_columns_sql)->fetchAll(PDO::FETCH_ASSOC);

            // إذا كان العمود غير موجود، قم بإضافته
            if (empty($check_columns_result)) {
                $alter_table_sql = "ALTER TABLE $table_name ADD COLUMN $column INT DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;";
                $conn->exec($alter_table_sql);
                $columns_added++;
            }
            if ($columns_added > 0) {
                echo "تمت إضافة $columns_added عمود بنجاح. <br>";
            } else {
                echo "الأعمدة موجودة بالفعل.";
            }
        }
        /* $sql = "
            ALTER TABLE $table_name
            ADD COLUMN user_id_insert INT DEFAULT NULL,
            ADD COLUMN user_id_update INT DEFAULT NULL,
            ADD COLUMN date_insert TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
            ADD COLUMN date_update TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
        "; */

        // تنفيذ الاستعلام
        // $conn->exec($sql);

        /*} */
} catch (PDOException $e) {
    echo "خطأ: " . $e->getMessage();
}

// إغلاق الاتصال بقاعدة البيانات
$conn = null;
?>